Тысяча мелочей для Pentium 2

Софт в данных наборах рекомендован для использования на системах класса Pentium II с 64-256 mb. Приложения с CD должны работать на 64 mb, некоторые пакеты на DVD имеют более высокие системные требования.

Набор состоит из десктопного софта (консольного и графического) для маломощных рабочих станций и из серверного для домашних серверов/роутеров.

Образы построены на базе OpenBSD/i386 6.1-stable. Для экономии места, CD не содержит comp61.tgz (компиляторы) и bsd.mp (ядро для многопроцессорных систем)

Образы более недоступны. Появилась новая версия cd-диска для OpenBSD 6.2. Данный список оставлен только для ознакомления, поскольку из-за увеличения размера базовой системы пакетов на диске стало значительно меньше.

Пакеты на CD

Браузеры

X: netsurf, dillo, links+

Консоль: links+, w3m, lynx

Почтовые клиенты

gtk: claws-mail, sylpheed

Консольные: mutt, alpine

Мессенджеры/IRC

Консольные: mcabber, irssi, weechat, bitlbee

Сеть

Торренты: aria2, transmission

Безопасность: nmap, aircrack-ng, bsd-airtoos

Веб-сервер: apache-httpd, nginx, lighttpd

Веб-разработка: php, py-flask, postgresql

Прочее: remmina, xfreerdp, samba

Оконные менеджеры

Входят в базовую поставку: twm, fvwm, cwm

В пакетах: awesome, icewm, dwm, fluxbox, openbox

Игры

X: kobodeluxe, xkobo, numptyphysics, blockrage, rocksndiamonds, life, xpat2, ace, chocolate-doom

Консоль: game61(база), angband, nethack, moria, omega, cpat, wanderer, vms-empire

... и тысяча других мелочей ...

DVD дополнительно содержит

* браузеры для современных веб-страниц luakit и surf

* игры openttd, freeciv и другие

* эмуляторы scummvm, qemu, dosbox, hatari, vice, gxemul, simh и другие

...и большое количество других полезных пакетов




Это не конфликты, это у вас что-то с пакетником - отвалился по нехватке памяти, по проблемам диска или ещё чего-то.

На CD, я так посмотрел, конфликтов нет. На DVD, как минимум, есть vim с поддержкой gtk и без оного - это просто разные FLAVOR-ы одного и того же пакета, они просто взаимоисключаются.

Впрочем, при установке pkg_add * просто один из пакетов не установился бы, и всё, пошло бы дальше. В данном конкретном случае проблема явно не в этом.
// 2017-09-04 08:15

CD... возможно и конфликты, был бы интерфейс на русском...
...
Can`t install awesome-4.1: can`t resolve gdk-pixbuf-2.36.6
...
Couldn`t find updates for partial-apache-httpd-2.4.25
...

А почему существует две разные программы, которые нельзя установить одновременно? Ладно, если нельзя их запустить одновременно, а тут именно установка невозможна? Что зачит "взаимоисключающие"? А если их все статически собрать?
А как правельно установить всё ПО с диска?
И ещё, при установки базовой системы было сообщение о невозможности верификации из-за отсутствия SHA256.sig.
А флешки автоматом не монтируются?
// 2017-09-03 21:24

а ещё такой способ установки не различает, какие пакеты поставлены автоматически, а какие - вручную, и они все будут помечены, как установленные вручную.
// 2017-09-02 20:48

> и получил множество неустановленных пакетов в виду отсутствия зависимостей...

может быть, конфликтов, а не зависимостей? там просто есть взаимоисключающие пакеты :) какую версию ставили, CD или DVD?
// 2017-09-02 20:35

скачал cd версию, установил, далее
mount /dev/cd0a /mnt
cd /mnt/6.1/packages/i386
pkg_add *

и получил множество неустановленных пакетов в виду отсутствия зависимостей...
я чегото не так сделал или исправления данных ошибок - планы на будущее?
// 2017-09-02 19:57